/*
 * Copyright 2007 Gerd Ziegler (www.gerdziegler.de)
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the License.
 * @author www.gerdziegler.de
 */
package org.ztemplates.actions.expression;

public class ZParserException extends Exception
{
  public ZParserException(String expression, int pos, String expected)
  {
    super("expected '" + expected + "' at position " + pos + " '" + expression + "' near '"
        + expression.substring(pos) + "'");
  }


  public ZParserException(String expression, String error)
  {
    super(error + " '" + expression + "'");
  }
}
